struct VS_OUT
{
	float4 hPosition	: POSITION;
	float4 texCoord		: TEXCOORD0;
	float4 color		: COLOR0;
};

VS_OUT SmokeIllumVolumeVS(float4 position : POSITION,	
		float4 texCoord : TEXCOORD0,
		float4 color 	: COLOR0,
		uniform float baseRadius,
		uniform float4x4 worldView,
		uniform float4x4 Proj,
		uniform float4x4 worldViewProj)
{
	VS_OUT OUT;

   texCoord.y = 1.0 - texCoord.y;
   float2 offset = texCoord.zw * baseRadius;
   float4 cPosition = mul(worldView, position);
   cPosition.xy += offset;
   
   OUT.hPosition = mul( Proj, cPosition );
   OUT.texCoord = texCoord;
   OUT.color = 1;
   
   float z = OUT.hPosition.z / OUT.hPosition.w;
	
   float4 planes = float4(0.33, 0.5, 0.66, 1);
   if(z > planes.x)
	{
		OUT.color.r = 0;
	}
	if(z > planes.y)
	{
		OUT.color.g = 0;
	}
	if(z > planes.z)
	{
		OUT.color.b = 0;
	}

   
   return OUT;
}


float4 SmokeIllumVolumePS(VS_OUT IN ,
		uniform sampler2D colorTexture : register(s0)):COLOR
{

	return tex2D( colorTexture, IN.texCoord.xy).a * 0.1 * IN.color;
}